Initiate Send

Use this API to initiate the sending of a remittance transaction. This will perform all the validations for the requested remittance to be processed. This API returns the id which you will use to confirm the processing of the remittance transaction.

This document is in active development. As a pioneer merchant, you will be informed of new changes. Visit our Release Notes for more details.

Body Params

Initiate send request details

source_account
object
required

Details of the financial account to be debited of the principal amount including commissions (if any) and fees. This account is validated against the owner of the credentials used to invoke the API.

receiver_account
object
required

Details of the receiver's financial account where the amount will be credited.

sender
object
required

Sender KYC information.

receiver
object
required

Receiver KYC information.

amount
object
required

Transaction amount.

string
required
length between 2 and 2
[A-Z]{2}

Country where the transaction originated.

string
required
length between 1 and 100
[^=%{}<>;]*

Purpose of the transaction.

string
required
length between 1 and 100
[^=%{}<>;]*

Sender's relationship to the receiver.

additional_information
object

Any additional information that is needed for the transaction to push through. Nested objects are not allowed.

Headers
string
required
length between 36 and 36
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Use a unique identifier for the request, must be UUID. This identifier enforces idempotency for repeated requests. If a duplicate request is detected, an error will be thrown.

string
required

The transaction identifier provided by the partner. This should be unique per partner transaction. If a request using the same id is detected, an error will be thrown

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json